/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import javax.ejb.EJBMetaData;

import org.jfox.ejb.meta.EJBDescriptor;

/**
 * 对于一个 EJB 的所有的描述
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class BucketMetaDataImpl implements BucketMetaData {

    private EJBMetaData meta = null;
    private Class beanClass = null;

    private EJBDescriptor ejbDescriptor = null;

    public BucketMetaDataImpl(EJBMetaData meta, EJBDescriptor metaInfo, Class beanClass) {
        this.meta = meta;
        this.ejbDescriptor = metaInfo;
        this.beanClass = beanClass;
    }

    public EJBMetaData getEJBMetaData() {
        return meta;
    }

    public Class getBeanClass() {
        return beanClass;
    }

    public EJBDescriptor getEJBDescriptor() {
        return ejbDescriptor;
    }

    public static void main(String[] args) {

    }
}